### Function

# Gimp brush_rename

since: 2.2

#### Declaration [src]

    gchar*
    gimp_brush_rename (
      const gchar* name,
      const gchar* new_name
    )

#### Description [src]

Renames a brush.

This procedure renames a brush.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The brush name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`new_name`

  Type: `const gchar*`

  The new name of the brush.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The actual new name of the brush. The returned value must be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.